v1.0.0
OpenAPI 3.1.0

Suppress an email at the ESP

US region

Client Libraries

Suppress an email at the ESP

Suppress an email address at the email service provider (ESP). Addresses suppressed this way are only suppressed through the ESP; these adresses are not suppressed in Customer.io, so the person can remain in your workspace (though emails to the address would be blocked at the ESP).

Path Parameters
  • suppression_type
    Type: stringenum
    required

    The reason a person's email address was suppressed by the email service provider (ESP).

    values
    • blocks
    • bounces
    • spam_reports
    • invalid_emails
  • email_address
    Type: string
    required

    The email address of the person you want to look up.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for post/v1/esp/suppression/{suppression_type}/{email_address}
curl 'https://api.customer.io/v1/esp/suppression/blocks/{email_address}' \
  --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{}